Skip to main content
GET
/
ai-agents
/
agent-builder
/
frontend-actions
/
{id}
Get Frontend Action
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/frontend-actions/{id} \
  --header 'apikey: <api-key>'
{
  "_id": "myapp_onUserClick",
  "appId": "my-app-id",
  "name": "User Click Action",
  "description": "Triggered when a user clicks a button",
  "triggerFunction": "onUserClick",
  "icon": "https://example.com/icon.png",
  "parameters": [
    {
      "key": "userId",
      "type": "string",
      "description": "The user identifier",
      "required": true
    }
  ],
  "tool": {
    "name": "onUserClick",
    "description": "Triggered when a user clicks a button",
    "parameters": {
      "type": "object",
      "properties": {},
      "required": []
    }
  },
  "createdAt": 1700000000000,
  "updatedAt": 1700000000000
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-android-v6-beta2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Path Parameters

id
string
required

Response

200 - application/json

Frontend action details

_id
string
Example:

"myapp_onUserClick"

appId
string
Example:

"my-app-id"

name
string
Example:

"User Click Action"

description
string
Example:

"Triggered when a user clicks a button"

triggerFunction
string
Example:

"onUserClick"

icon
string
Example:

"https://example.com/icon.png"

parameters
object[]
tool
object
createdAt
number
Example:

1700000000000

updatedAt
number
Example:

1700000000000